package andante.agent;

import com.ibm.aglet.*;
import com.ibm.aglet.event.*;
import java.io.*;
import java.net.*;

import andante.orb.*;
import andante.orb.stage.*;
import java.util.*;

public class TestAgent extends MusicalAglet {

  short [] Escala = {50, 52, 54, 55, 57, 59, 61,
		   62, 54, 66, 67, 69, 71, 73,
		     74, 76, 78, 79, 81, 83, 85,
		   86, 88, 90, 91, 93, 95, 97};

  public void init(Stage stage) {
    
    Random r = new Random();

    Channel channel = stage.channel(1);

    while (true) {
      andante.orb.Note n = new andante.orb.Note();
      n.pitch = Escala[r.nextInt(28)];
      n.intensity = (short)r.nextInt(128);
      n.duration = (short)r.nextInt(700);
      channel.playNote(n);
      try { Thread.sleep(n.duration); }
      catch (InterruptedException e) {}

    }

  }

}
