package andante.device;

import org.omg.PortableServer.*;
import andante.orb.device.*;
import andante.orb.*;

import javax.sound.midi.*;
import java.util.*;
import java.io.*;

import java.net.*;

public class OscDevice extends AudioDevicePOA {

  String Id;
  DatagramSocket DSocket;
  Timer T;
  byte[] Data;
  DatagramPacket Packet;
  InetAddress IAddress;
  int Port;

  public OscDevice(InetAddress address, int port) {

    Id = "OpenSound UDP Device";

    T = new Timer();

    Data = new byte[100];
    try {
      DSocket = new DatagramSocket();
      DatagramPacket Packet = new DatagramPacket(Data,Data.length,
                                                 address, port);
      IAddress = address;
      Port = port;
    } catch (Exception e) {
      e.printStackTrace();
    }

    System.out.println("OscDev ok");
  }

  public String id () { return Id; }

  public void sendMessage (int channel, andante.orb.Message m) {
    System.out.println("sendMessage: " + channel);
    Data[0] = (byte) (m.data[0] >> 24);
    Data[1] = (byte) ((m.data[0] >> 16) & 0xff);
    Data[2] = (byte) ((m.data[0] >> 8) & 0xff);
    Data[3] = (byte) (m.data[0] & 0xff);
    System.out.print("Send: ");
    for (int i = 0 ; i < 4; i++) {
      System.out.print(Data[i] + " ");
    }
    System.out.println();
    
    Packet.setData(Data, 0, 4);
    Packet.setLength(4);
    try {
      DSocket.send(Packet);
    } catch (Exception e) {
      e.printStackTrace();
    }
    System.out.print("Sent.");
  }

  public void playMidiFile (byte[] arq) {}

  public void processSequence (andante.orb.Event[] seq) {}

  public void changeInstrument(int channel, short instr) {}

}
